// -------------------------------------------------------------------------------- 
//!  @file  sound.h                                                                 
//!  サウンド処理のヘッダファイル                                                   
//                                                                                  
//   Copyright (C) 2024 lsluk, All rights reserved.                                 
//   http://vdmgr.g2.xrea.com/index.html                                            
// -------------------------------------------------------------------------------- 
#ifndef __BTRADIO__SOUND_H__INCLUDED__
#define __BTRADIO__SOUND_H__INCLUDED__


extern int  sound_open( void ) ;
extern int  sound_close( void ) ;
extern int  sound_getVolume( void ) ;
extern int  sound_setVolume( uint8_t volume ) ;
extern int  sound_play( STATIONINFO *p_stationInfo ) ;
extern int  sound_stopPlay( void ) ;
extern bool sound_isPlay( void ) ;
extern int  sound_record(STATIONINFO *p_stationInfo, int minute) ;
extern int  sound_stopRecord( void ) ;
extern bool sound_isRecord( void ) ;


#endif//__BTRADIO__SOUND_H__INCLUDED__
